[amcaninch@gmail.com: Re: [Qgis-user] [Qgis-developer] Any working GRASS in QGIS available? - Processing Bug?]

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[amcaninch@gmail.com: Re: [Qgis-user] [Qgis-developer] Any working GRASS in QGIS available? - Processing Bug?]

Sandro Santilli
Visto che se ne e' parlato molto, pare che sia stato individuato
il (o un?) bug legato a GRASS7 e QGIS 2.8.3.

--strk;

----- Forwarded message from Andrew <[hidden email]> -----

Date: Thu, 6 Aug 2015 10:20:03 -0700
From: Andrew <[hidden email]>
To: Victor Olaya <[hidden email]>
Cc: "[hidden email]" <[hidden email]>, qgis-developer <[hidden email]>, Alex Mandel <[hidden email]>
Subject: Re: [Qgis-user] [Qgis-developer] Any working GRASS in QGIS available? - Processing Bug?
In-Reply-To: <[hidden email]>
X-BeenThere: [hidden email]
List-Id: QGIS User List <qgis-user.lists.osgeo.org>

Victor,

I edited the version of the processing plugin that i have installed (QGIS
2.8.3, processing 2.10.1) with the changes you made and now GRASS7 tools
work as they should, thanks!

Andrew

On Thu, Aug 6, 2015 at 5:59 AM, Victor Olaya <[hidden email]> wrote:

> A quick (but very relevant) note about GRASS7:
>
> It seems that, in one of the latest changes, I unintentionally left
> out a code line where GRASS was actually being called. I was getting a
> bit crazy wondering where the error might be and why GRASS7 was not
> working in the latest release....and finally found out that the reason
> was that. So, in short, Processing was not running grass when running
> a grass7 algorithm.
>
> I have added that line back and it should be fine now.
>
> If you can install the current master version, please test and let me
> know if there are any issues or it is working correctly as before.
>
> Regards
>
>
>
> 2015-08-03 1:37 GMT+02:00 Bernd Vogelgesang <[hidden email]>:
> > Hi Alex
> >
> > Am 03.08.2015, 01:20 Uhr, schrieb Alex Mandel <
> [hidden email]>:
> >
> >> Ah but we're closer to finding a solution with all those details. It may
> >> be fixable in Processing, which can be pushed to the plugin repo for
> >> update any time.
> >>
> >> Passing this along to devs who might have enough information now.
> >>
> >> Thanks,
> >> Alex
> >
> >
> >
> > Thanks for taking care,
> >
> > by the way: by copying the gdal algorithms from processing 2.10.1 to the
> > 2.9.3 folder (.qgis2/python/plugins/processing/algs/gdal), I gained
> access
> > to the new GDAL dissolve polygons :)
> >
> > Unfortunately, the model from before (GRASS6) didn't work anymore, and
> all
> > attempts to adjust it via diff of a test model failed. So reworking my
> model
> > (for the 10th time or so) in Ubuntu 2.8.3 from ubuntugis-ltr with working
> > GRASS7, SAGA and everything and a partially upgraded Processing 2.9.3
> >
> > I'm on my way ... finally .. hopefully ...
> >
> > Bernd
> >
> >
> >
> >> On 08/02/2015 03:07 PM, Bernd Vogelgesang wrote:
> >>>
> >>> Am 02.08.2015, 22:44 Uhr, schrieb Alex Mandel
> >>> <[hidden email]>:
> >>>
> >>>> After some brief testing, my OSGeoLive 8.5 VM with QGIS 2.6 and
> >>>> Processing 2.9.3, GRASS 7 works.
> >>>>
> >>>> My QGIS 2.8, GRASS 6/7, Processing 2.10.1 does not.
> >>>
> >>>
> >>> Gave Windows another try: Removed everything, and installed the simple
> >>> install OSGEO4W setup.
> >>> QGIS 2.10.1 with Processing 2.10.1 and GRASS 6 working.
> >>>
> >>> switched back to Ubuntu, cause of a bug in the modeler version of GDAL
> >>> Dissolve Polygons (which is crucial for me).
> >>> https://hub.qgis.org/issues/13174
> >>>
> >>> Ubuntu: Now that I installed 2.8 with the debian repository only (so
> >>> without ubuntis depencies), my GRASS 6 works (sorted out another error,
> >>> that GRASS takes a column name "OR" from shape as an sql-command or
> >>> sth), update to Processing 2.10.1 worked as well.
> >>>
> >>> The drawback, no SAGA, which might come handy cause the now available
> >>> algos do not really do what I expect ;)
> >>>
> >>> I think the problem is within Processing in combination with the
> >>> packaging:
> >>> When e.g. I install QGIS 2.8 with ubuntugis-ltr dependencies (where
> >>> nobody on the install page claims I shouldn't do), GRASS7 and the
> >>> modeler are working, but Processing version is 2.6. Updating Processing
> >>> to current Processing 2.10.1 (as recommended) seems to work.
> >>> (Besides that v.clean in the modeler only returns a polygon layer from
> >>> an polygon input, if I also set an output name for the error layer,
> >>> otherwise I get an empty line shape)
> >>>
> >>> But: The next time I run QGIS and want to run an GRASS algo: Missing
> >>> depencies
> >>>
> >>> I can now replace Processing 2.10.1 with the second latest 2.9.3 from
> >>> https://plugins.qgis.org/plugins/processing/version/2.9.3/
> >>> and there v.clean does what it should in Processing AND modeler.
> >>>
> >>> But: Now I do not have GDAL Dissolve polygons which is in Processing
> >>> 2.10.1. Well, I could switch back to Windows QGIS 2.10, but, grr, there
> >>> is the bug in this algo ...
> >>>
> >>> You see, I'm trapped.
> >>>
> >>> Thanx for you attention
> >>> Bernd
> >>>
> >>>
> >>>
> >>>>
> >>>> Both are Ubuntu 14.04 based.
> >>>>
> >>>> I'm not sure if this is a bug in Processing, or in packaging. I recall
> >>>> in OSGeoLive 8.5 that we had custom packages with a patch. Note, you
> can
> >>>> get those versions for your Ubuntu system from
> >>>> https://launchpad.net/~osgeolive/+archive/ubuntu/release-8.5
> >>>>
> >>>> We freeze a copy of the working versions in our own ppa for long term
> >>>> history.
> >>>>
> >>>> Thanks,
> >>>> Alex
> >>>>
> >>>>
> >>>> On 2015-08-02 03:32, Bernd Vogelgesang wrote:
> >>>>>
> >>>>> Hi Alex,
> >>>>>
> >>>>> Am 02.08.2015, 01:22 Uhr, schrieb Alex Mandel
> >>>>> <[hidden email]>:
> >>>>>
> >>>>>> It's not a Windows/Ubuntu/Mac/OS thing, it's a QGIS + GRASS version
> >>>>>> change thing.
> >>>>>>
> >>>>>> Please indicate which version of QGIS and GRASS you are trying to
> get
> >>>>>> working.
> >>>>>
> >>>>>
> >>>>> Actually I do not mind any more what version I would like to get
> >>>>> working. I would have preferred the 2.8-LTR branch with
> no-matter-what
> >>>>> GRASS version.
> >>>>>
> >>>>> I just would like to be able to finish my project, and there is
> >>>>> unfortunately no alternative to the GRASS algos in my model.
> >>>>>
> >>>>>> QGIS 2.6 and older works with GRASS 6, 2.8+ sometimes is built to
> work
> >>>>>> with GRASS 7 (though possibly also with GRASS 6).
> >>>>>
> >>>>>
> >>>>> Mhm, reverting to 2.6 ... Lets see if this still possible at all ...
> >>>>>
> >>>>>> If you want a guaranteed working setup ASAP download a copy of OSGeo
> >>>>>> Live Virtual Machine, we made sure that it works in that.
> >>>>>> http://live.osgeo.org
> >>>>>
> >>>>>
> >>>>> Will give it a try. Download will take another 1.5 hours ...
> >>>>>
> >>>>> So does that mean that even your do not have a working GRASS in a
> >>>>> recent
> >>>>> QGIS by "normal" means but the osgeo VM?
> >>>>>
> >>>>>
> >>>>>>
> >>>>>> Thanks,
> >>>>>> Alex
> >>>>>
> >>>>>
> >>>>> Cheers
> >>>>> Bernd
> >>>>>
> >>>>>>
> >>>>>> On 2015-08-01 14:41, Bernd Vogelgesang wrote:
> >>>>>>>
> >>>>>>> Hi guys,
> >>>>>>> is it just bad karma, that I seem not to able to get a working
> >>>>>>> GRASS in
> >>>>>>> QGIS? Or did I miss the big advertisement "GRASS out of order"
> >>>>>>> somewhere.
> >>>>>>>
> >>>>>>> For nearly 2 weeks, I tried to get things to work in Ubuntu/Mint,
> and
> >>>>>>> tried every possible/impossible repository, but always GRASS has
> >>>>>>> missing
> >>>>>>> dependencies, the forms open in Processing, but the algos don't run
> >>>>>>> through, or the functions are working in Processing, but failing in
> >>>>>>> the
> >>>>>>> modeller.
> >>>>>>>
> >>>>>>> As I really got to finish a model in the Modeller including some
> >>>>>>> GRASS
> >>>>>>> algos, I finally turned on my VM with Windows ...
> >>>>>>> but what the heck? Same s...t there!
> >>>>>>>
> >>>>>>> I really wonder why there aren't many post about trouble with GRASS
> >>>>>>> on
> >>>>>>> this list or at stackexchange, normally this would explode when
> >>>>>>> things
> >>>>>>> like these happen.
> >>>>>>>
> >>>>>>> So am I really the one with the bad karma, do you all other simply
> >>>>>>> not
> >>>>>>> use GRASS in processing as much as I do, or do you all simply have
> >>>>>>> working installs, so there is not problem?
> >>>>>>>
> >>>>>>> Please, at least one: Do you have an install under Ubuntu or
> Windows,
> >>>>>>> where GRASS algos are functional in the Modeler ? If yes, which
> >>>>>>> version/what did you do?
> >>>>>>>
> >>>>>>> ... Soon, I will go and find me a rope ...
> >>>>>>>
> >>>>>>> Bernd


----- End forwarded message -----
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
750 iscritti al 18.3.2015
Reply | Threaded
Open this post in threaded view
|

Re: [amcaninch@gmail.com: Re: [Qgis-user] [Qgis-developer] Any working GRASS in QGIS available? - Processing Bug?]

nformica
Ciao Sandro,

.... sai se il bug รจ stato risolto ?
Nino